Upsert Product

Creates or updates a Product. *Note:* Currently, keys generated via the TaxCloud web app do not include the necessary scopes to interact with the Management API. To request access, [contact our support team](https://support.taxcloud.com/article/148-taxclouds-service-level-agreement).

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired
represents the ID of a connection. It is used as a unique identifier for the connection

Request

This endpoint expects an object.
productIdstringRequired

ID of the product in the given connection & channel

channelstring or nullOptional

The type of channel the product comes from (e.g., amazon, walmart etc.). It accepts any string and attempts to snake_case the input.

productNamestring or nullOptional

Name of the product for description purposes (not used in mapping)

ticlong or nullOptional
TIC number for the product

Response

OK
channelstring or null

The type of channel the product comes from (e.g., amazon, walmart etc.)

connectionIdstring
idlong
productIdstring

ID of the product in the given connection & channel

productNamestring or null

Name of the product for description purposes (not used in mapping)

$schemastring or nullRead-onlyformat: "uri"
A URL to the JSON Schema for this object.
ticlong or null
TIC number for the product

Errors